summaryrefslogtreecommitdiffstats
path: root/.travis-build.sh
diff options
context:
space:
mode:
authorEmmanuel Gil Peyrot <linkmauve@linkmauve.fr>2016-09-17 17:56:18 +0200
committerEmmanuel Gil Peyrot <linkmauve@linkmauve.fr>2016-09-18 02:36:57 +0200
commitfe948af0952d7badacbce62a8e35a3a1421245ba (patch)
tree8efcf28a0643dba4574722b03aaf1dfe4c5b7f1f /.travis-build.sh
parentGit hook: Remove trailing semicolons wrecking vim’s syntax highlighting. (diff)
downloadyuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.tar
yuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.tar.gz
yuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.tar.bz2
yuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.tar.lz
yuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.tar.xz
yuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.tar.zst
yuzu-fe948af0952d7badacbce62a8e35a3a1421245ba.zip
Diffstat (limited to '.travis-build.sh')
-rwxr-xr-x.travis-build.sh21
1 files changed, 20 insertions, 1 deletions
diff --git a/.travis-build.sh b/.travis-build.sh
index 80361ddaf..407ea3e55 100755
--- a/.travis-build.sh
+++ b/.travis-build.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
set -e
set -x
@@ -9,6 +9,25 @@ if grep -nr '\s$' src *.yml *.txt *.md Doxyfile .gitignore .gitmodules .travis*
exit 1
fi
+for f in $(git diff --name-only --diff-filter=ACMRTUXB --cached); do
+ if ! echo "$f" | egrep -q "[.](cpp|h)$"; then
+ continue
+ fi
+ if ! echo "$f" | egrep -q "^src/"; then
+ continue
+ fi
+ d=$(diff -u "$f" <(clang-format "$f"))
+ if ! [ -z "$d" ]; then
+ echo "!!! $f not compliant to coding style, here is the fix:"
+ echo "$d"
+ fail=1
+ fi
+done
+
+if [ "$fail" = 1 ]; then
+ exit 1
+fi
+
#if OS is linux or is not set
if [ "$TRAVIS_OS_NAME" = "linux" -o -z "$TRAVIS_OS_NAME" ]; then
export CC=gcc-6